<template>
    <div class="bonuses tabs__Page">
      <LeftBlock class="block">
        <div class="block__title">Available bonuses</div>
        <div class="block__titleLine"></div>

        <div class="bonusBanner banner2">
          <div class="banner2_Circle1 circle"><img src="@/assets/img/bonuses/banner2_circle.png" alt=""></div>
          <div class="banner2_Circle2 circle"><img src="@/assets/img/bonuses/banner2_circle.png" alt=""></div>
          <div class="bannerTxt"><img src="@/assets/img/bonuses/banner2_txt.png" alt=""></div>
          <div class="bannerCharacter"><img src="@/assets/img/bonuses/banner2_pers.png" alt=""></div>
        </div>

        <div class="bonusBanner banner1">
          <div class="banner1_Circle1 circle"><img src="@/assets/img/bonuses/banner1_circle.png" alt=""></div>
          <div class="banner1_Circle2 circle"><img src="@/assets/img/bonuses/banner1_circle.png" alt=""></div>
          <div class="bannerTxt"><img src="@/assets/img/bonuses/banner1_txt.png" alt=""></div>
          <div class="bannerCharacter"><img src="@/assets/img/bonuses/banner1_pers.png" alt=""></div>
        </div>

        <div class="bonusBanner banner1">
          <div class="banner1_Circle1 circle"><img src="@/assets/img/bonuses/banner1_circle.png" alt=""></div>
          <div class="banner1_Circle2 circle"><img src="@/assets/img/bonuses/banner1_circle.png" alt=""></div>
          <div class="bannerTxt"><img src="@/assets/img/bonuses/banner1_txt.png" alt=""></div>
          <div class="bannerCharacter"><img src="@/assets/img/bonuses/banner1_pers.png" alt=""></div>
        </div>

      </LeftBlock>
      <RightBlock class="block">
        <AccInfo></AccInfo>
      </RightBlock>
    </div>
</template>

<script>
	import LeftBlock from "@/components/Account/LeftBlock";
	import RightBlock from "@/components/Account/RightBlock";
	import AccInfo from "@/components/Account/elements/accountInfo/AccInfo";

	export default {
		name: "Bonuses",

		components: {
			LeftBlock,
			RightBlock,
			AccInfo
		}
	}
</script>

<style lang="sass" scoped>
  .bonusBanner
    display: flex
    align-items: center
    position: relative
    width: 100%
    height: 185px
    border-radius: 16px
    margin: 10px 0
    overflow: hidden

    .bannerTxt
      margin-left: 35px
      z-index: 2
    .bannerCharacter
      z-index: 2

    .circle
      left: 50%
      position: absolute
    .banner1_Circle1
      transform: rotate(15deg)
    .banner1_Circle2
      transform: rotate(25deg)
    .banner2_Circle1
      transform: rotate(15deg)
    .banner2_Circle2
      transform: rotate(25deg)

  .banner1
    background: #4A00A8
  .banner2
    background: #DE6B00
</style>
